[Vm-dev] [commit][3603] Fix the upload scripts and set ignore props on the 64-bit mac installer.

commits at squeakvm.org commits at squeakvm.org
Mon Feb 15 18:21:33 UTC 2016


Revision: 3603
Author:   eliot
Date:     2016-02-15 10:21:31 -0800 (Mon, 15 Feb 2016)
Log Message:
-----------
Fix the upload scripts and set ignore props on the 64-bit mac installer.

Modified Paths:
--------------
    branches/Cog/scripts/mkspur64vmarchives
    branches/Cog/scripts/mkvmarchives
    branches/Cog/scripts/uploadvms

Property Changed:
----------------
    branches/Cog/build.macos64x64/newspeak.cog.spur/installer/


Property changes on: branches/Cog/build.macos64x64/newspeak.cog.spur/installer
___________________________________________________________________
Added: svn:ignore
   + *.app
*.applescript
*.dmg


Modified: branches/Cog/scripts/mkspur64vmarchives
===================================================================
--- branches/Cog/scripts/mkspur64vmarchives	2016-02-15 01:27:13 UTC (rev 3602)
+++ branches/Cog/scripts/mkspur64vmarchives	2016-02-15 18:21:31 UTC (rev 3603)
@@ -96,9 +96,9 @@
 fi
 if [ -n "$NM" ]; then
 	set -- CocoaFast.app CocoaAssert.app CocoaDebug.app
-	for app in Newspeak\ Spur\ Virtual\ Machine.app \
-				assert/Newspeak\ Spur\ Virtual\ Machine.app\
-				debug/Newspeak\ Spur\ Virtual\ Machine.app; do
+	for app in Newspeak\ Spur\ 64-bit\ Virtual\ Machine.app \
+				assert/Newspeak\ Spur\ 64-bit\ Virtual\ Machine.app\
+				debug/Newspeak\ Spur\ 64-bit\ Virtual\ Machine.app; do
 		test -d $app || mkdir $app
 		if [ -d ../build.macos64x64/$NSB/$1 ]; then
 			rm -rf $app/* $app-$TAG.tgz

Modified: branches/Cog/scripts/mkvmarchives
===================================================================
--- branches/Cog/scripts/mkvmarchives	2016-02-15 01:27:13 UTC (rev 3602)
+++ branches/Cog/scripts/mkvmarchives	2016-02-15 18:21:31 UTC (rev 3603)
@@ -1,8 +1,8 @@
 #!/bin/sh
 # Create the Cog VM archives in products.  Check the log files in products for
 # agreement
-`dirname $0`/mkcogvmarchives
-`dirname $0`/mkspurvmarchives
-`dirname $0`/mkspur32vmarchives
+`dirname $0`/mkcogvmarchives $@
+`dirname $0`/mkspurvmarchives $@
+`dirname $0`/mkspur64vmarchives $@
 echo; echo "Version info:"
 cat `dirname $0`/../products/M*[CS]VALOG | egrep '\$Rev|VMMaker' | sort -u

Modified: branches/Cog/scripts/uploadvms
===================================================================
--- branches/Cog/scripts/uploadvms	2016-02-15 01:27:13 UTC (rev 3602)
+++ branches/Cog/scripts/uploadvms	2016-02-15 18:21:31 UTC (rev 3603)
@@ -256,6 +256,11 @@
 	fi
   done
 fi
+if [ -z "$ARCHIVES" ]; then
+	echo 'No archives have been specified.  Use -all?' 1>&2
+	exit 1
+fi
+
 if [ "$T" = 1 ]; then
 SSH="echo ssh"
 SCP="echo scp"
@@ -273,6 +278,9 @@
 echo ssh $RemoteUser chmod a-w $RemoteRoot/VM.r$REV/* \\\; ls -al $RemoteRoot/VM.r$REV
 $SSH $RemoteUser chmod a-w $RemoteRoot/VM.r$REV/* \; ls -al $RemoteRoot/VM.r$REV
 
+echo $SSH $RemoteUser rm $RemoteRoot/latest \; ln -s VM.r$REV $RemoteRoot/latest
+$SSH $RemoteUser rm $RemoteRoot/latest \; ln -s VM.r$REV $RemoteRoot/latest
+
 if [ "$T" != 1 ]; then
 test -x image/makegetvmscripts.sh && (image/makegetvmscripts.sh)
 fi



More information about the Vm-dev mailing list